### Virtual Method

# Gtk AccessibleTextget_default_attributes

since: 4.14

#### Declaration [src]

    void
    get_default_attributes (
      GtkAccessibleText* self,
      char*** attribute_names,
      char*** attribute_values
    )

#### Description [src]

Retrieves the default text attributes inside the accessible object.

Each attribute is composed by:

- a name
- a value

It is left to the implementation to determine the serialization format of the value to a string.

GTK provides support for various text attribute names and values, but implementations of this interface are free to add their own attributes.

Available since: 4.14

#### Parameters

`attribute_names`

  Type: An array of `char**`

  The names of the default attributes inside the accessible object.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`attribute_values`

  Type: An array of `char**`

  The values of the default attributes inside the accessible object.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.